---
build_project:
  script:
    - "xcodebuild clean -project DemoCicdGitlab/DemoCicdGitlab.xcodeproj -scheme DemoCicdGitlab"
    - "xcodebuild test -project DemoCicdGitlab/DemoCicdGitlab.xcodeproj -scheme DemoCicdGitlab -destination 'platform=iOS Simulator,name=iPhone XR,OS=14.3'"
  stage: build
  tags:
    - ci
    - democicd
stages:
  - build

